Shippo integration: operations for AI agents
Shippo connects to Type.com as an integration. This page lists the 71 operations documented for Claude and Codex in Type.com: 38 read, 25 write, 8 destructive.
About Shippo
Shippo vendor API references, subject to vendor permissions and account availability.
Categories: Commerce & Payments
How to connect Shippo to Type.com
- Access
- Organization connection: one shared account for the workspace.
To add the connection, follow the steps in Space connections.
Documented operations
71 operations. Your connection's permissions determine which operations are available. API references describe the vendor surface; they do not expand your connection's credentials or access.
71 operations listed.
Addresses
- Read
List all addresses
Returns a list of all address objects that have been created in this account.
GET /addresses - Read
Retrieve an address
Returns an existing address using an object ID.
GET /addresses/{AddressId} - Read
Validate an address
Validates an existing address using an object ID
GET /addresses/{AddressId}/validate - Write
Create a new address
Creates a new address object. You can use address objects to create new shipments, calculate rates, and to create orders.
POST /addresses
Batches
- Read
Retrieve a batch
Returns a batch using an object ID. Batch shipments are displayed 100 at a time. You can iterate through each page using the `?page=` query parameter. You can also filter based on batch shipment status, for example, by passing a query param like `?object_results=creation_failed`. For more details on filtering results, see our guide on [filtering](https://docs.goshippo.com/docs/api_concepts/filtering/).
GET /batches/{BatchId} - Write
Create a batch
Creates a new batch object for purchasing shipping labels for many shipments at once. Batches are created asynchronously. This means that the API response won't include your batch shipments yet. You need to retrieve the batch later to verify that all batch shipments are valid.
POST /batches - Write
Add shipments to a batch
Adds batch shipments to an existing batch.
POST /batches/{BatchId}/add_shipments - Write
Purchase a batch
Purchases an existing batch with a status of `VALID`. Once you send a POST request to the purchase endpoint the batch status will change to `PURCHASING`. When all the shipments are purchased, the status will change to `PURCHASED` and you will receive a `batch_purchased` webhook indicating that the batch has been purchased
POST /batches/{BatchId}/purchase - Destructive
Remove shipments from a batch
Removes shipments from an existing batch shipment.
POST /batches/{BatchId}/remove_shipments
Carrier Accounts
- Read
List all carrier accounts
Returns a list of all carrier accounts connected to your Shippo account. These carrier accounts include both Shippo carrier accounts and your own carrier accounts that you have connected to your Shippo account. Additionally, you can get information about the service levels associated with each carrier account by passing in the `?service_levels=true` query parameter. Using it appends the property `service_levels` to each carrier account. By default, if the query parameter is omitted, the `service_levels` property will not be included in the response.
GET /carrier_accounts - Read
Retrieve a carrier account
Returns an existing carrier account using an object ID.
GET /carrier_accounts/{CarrierAccountId} - Read
Connect an existing carrier account using OAuth 2.0
Used by client applications to setup or reconnect an existing carrier account with carriers that support OAuth 2.0
GET /carrier_accounts/{CarrierAccountObjectId}/signin/initiate - Read
Get Carrier Registration status
Returns the registration status for the given account for the given carrier
GET /carrier_accounts/reg-status - Write
Create a new carrier account
Creates a new carrier account or connects an existing carrier account to the Shippo account.
POST /carrier_accounts - Write
Add a Shippo carrier account
Adds a Shippo carrier account
POST /carrier_accounts/register/new - Destructive
Update a carrier account
Updates an existing carrier account object. The account_id and carrier can't be updated. This is because they form the unique identifier together.
PUT /carrier_accounts/{CarrierAccountId}
Customs Declarations
- Read
List all customs declarations
Returns a list of all customs declaration objects
GET /customs/declarations - Read
Retrieve a customs declaration
Returns an existing customs declaration using an object ID
GET /customs/declarations/{CustomsDeclarationId} - Write
Create a new customs declaration
Creates a new customs declaration object
POST /customs/declarations
Customs Items
- Read
List all customs items
Returns a list all customs items objects.
GET /customs/items - Read
Retrieve a customs item
Returns an existing customs item using an object ID
GET /customs/items/{CustomsItemId} - Write
Create a new customs item
Creates a new customs item object.
POST /customs/items
Embedded Authorization
- Write
Create a JWT
Creates a short-lived JSON Web Token (JWT) that client-side applications can use to authenticate against the Shippo API without exposing a long-lived API token. Authenticate this request with either a Shippo API token (`Authorization: ShippoToken <API_TOKEN>`) or an OAuth bearer token (`Authorization: Bearer <OAUTH_BEARER_TOKEN>`). Platform accounts can mint a token on behalf of a Managed Shippo Account by setting the `SHIPPO-ACCOUNT-ID` header. The returned token is valid for 12 hours. Send it on subsequent requests as `Authorization: JWT <JWT_TOKEN>`.
POST /embedded/authz
Rates at Checkout
- Read
Show current default parcel template
Retrieve and display the currently configured default parcel template for live rates.
GET /live-rates/settings/parcel-template - Write
Generate a live rates request
Initiates a live rates request. Include either the object ID for an existing address record or a fully formed address object when entering an address value. You can also enter the object ID of an existing user parcel template or a fully formed user parcel template object as the parcel value.
POST /live-rates - Destructive
Update default parcel template
Update the currently configured default parcel template for live rates. The object_id in the request payload should identify the user parcel template to be the new default.
PUT /live-rates/settings/parcel-template - Destructive
Clear current default parcel template
Clears the currently configured default parcel template for live rates.
DELETE /live-rates/settings/parcel-template
Manifests
- Read
List all manifests
Returns a list of all manifest objects.
GET /manifests - Read
Retrieve a manifest
Returns an existing manifest using an object ID.
GET /manifests/{ManifestId} - Write
Create a new manifest
Creates a new manifest object.
POST /manifests
Orders
- Read
List all orders
Returns a list of all order objects.
GET /orders - Read
Retrieve an order
Retrieves an existing order using an object ID.
GET /orders/{OrderId} - Write
Create a new order
Creates a new order object.
POST /orders
Carrier Parcel Templates
- Read
List all carrier parcel templates
List all carrier parcel template objects. Use the following query string params to filter the results as needed: - `include=all` (the default): includes templates from all carriers - `include=user`: includes templates only from carriers which the user has added (whether or not they're currently enabled) - `include=enabled`: includes templates only for carriers which the user has added and enabled - `carrier=<token>`: filter by specific carrier, e.g. `fedex`, `usps`
GET /parcel-templates - Read
Retrieve a carrier parcel templates
Fetches the parcel template information for a specific carrier parcel template, identified by the token.
GET /parcel-templates/{CarrierParcelTemplateToken}
Parcels
- Read
List all parcels
Returns a list of all parcel objects.
GET /parcels - Read
Retrieve an existing parcel
Returns parcel details using an existing parcel object ID (this will not return parcel details associated with un-purchased shipment/rate parcel object IDs).
GET /parcels/{ParcelId} - Write
Create a new parcel
Creates a new parcel object.
POST /parcels
Pickups
- Write
Create a pickup
Creates a pickup object. This request is for a carrier to come to a specified location to take a package for shipping.
POST /pickups
Rates
- Read
Retrieve a rate
Returns an existing rate using a rate object ID. Rates older than 390 days are not returned.
GET /rates/{RateId} - Read
Retrieve shipment rates
Returns a paginated list of rates associated with a shipment. Rates for shipments older than 390 days are not returned.
GET /shipments/{ShipmentId}/rates - Read
Retrieve shipment rates in currency
Returns all available shipping rates for a shipment object. When you create a new valid shipment object, Shippo automatically calculates all available rates. Depending on your shipment data, there may be none, one or multiple rates. By default, the calculated rates will return the price in two currencies under the `amount` and `amount_local` keys, respectively. The `amount` key will contain the price of a rate expressed in the currency that is used in the country from where the parcel originates, and the `amount_local` key will contain the price expressed in the currency that is used in the country the parcel is shipped to. You can request rates with prices expressed in a different currency by adding the currency code to the end of the resource URL. The full list of supported currencies along with their codes can be viewed on [open exchange rates](http://openexchangerates.org/api/currencies.json). Note: re-requesting the rates with a different currency code will re-queue the shipment (i.e. set the Shipment's `status` to `QUEUED`) and the converted currency rates will only be available when the Shipment's `status` is set to `SUCCESS`. Rates for shipments older than 390 days are not returned.
GET /shipments/{ShipmentId}/rates/{CurrencyCode}
Refunds
- Read
List all refunds
Returns a list all refund objects.
GET /refunds/ - Read
Retrieve a refund
Returns an existing rate using a rate object ID.
GET /refunds/{RefundId} - Write
Create a refund
Creates a new refund object.
POST /refunds
Service Groups
- Read
List all service groups
Returns a list of service group objects.
GET /service-groups - Write
Create a new service group
Creates a new service group.
POST /service-groups - Write
Update an existing service group
Updates an existing service group object. The object_id cannot be updated as it is the unique identifier for the object.
PUT /service-groups - Destructive
Delete a service group
Deletes an existing service group using an object ID.
DELETE /service-groups/{ServiceGroupId}
Shipments
- Read
List all shipments
Returns a list of all shipment objects. To filter results, use the optional query parameters below. Provided dates should be ISO 8601 UTC dates (timezone offsets are currently not supported). - `object_created_gt`: object(s) created after the provided date time - `object_created_gte`: object(s) created at or after the provided date time - `object_created_lt`: object(s) created before the provided date time - `object_created_lte`: object(s) created at or before the provided date time Date format examples: `2017-01-01`, `2017-01-01T03:30:30` (or `2017-01-01T03:30:30.5`), `2017-01-01T03:30:30Z` Example URL: `https://api.goshippo.com/shipments/?object_created_gte=2017-01-01T00:00:30&object_created_lt=2017-04-01T00:00:30` Note: Shipment objects older than 390 days are not returned.
GET /shipments - Read
Retrieve a shipment
Returns an existing shipment using an object ID. Shipment objects older than 390 days are not returned.
GET /shipments/{ShipmentId} - Write
Create a new shipment
Creates a new shipment object.
POST /shipments
Tracking Status
- Read
Get a tracking status
Returns the tracking status of a shipment using a carrier name and a tracking number.
GET /tracks/{Carrier}/{TrackingNumber} - Write
Register a tracking webhook
Registers a webhook that will send HTTP notifications to you when the status of your tracked package changes. For more details on creating a webhook, see our guides on [Webhooks](https://docs.goshippo.com/docs/tracking/webhooks/) and [Tracking](https://docs.goshippo.com/docs/tracking/tracking/).
POST /tracks
Transactions
- Read
List all shipping labels
Returns a list of all transaction objects. To filter results by creation date, use the optional query parameters below. Provided dates should be ISO 8601 UTC dates (timezone offsets are currently not supported). - `object_created_gt`: object(s) created after the provided date time - `object_created_gte`: object(s) created at or after the provided date time - `object_created_lt`: object(s) created before the provided date time - `object_created_lte`: object(s) created at or before the provided date time Provide at most one lower bound (`object_created_gt` or `object_created_gte`) and at most one upper bound (`object_created_lt` or `object_created_lte`) per request. Lower bounds must not be in the future. Date format examples: `2017-01-01`, `2017-01-01T03:30:30` (or `2017-01-01T03:30:30.5`), `2017-01-01T03:30:30Z` Example URL: `https://api.goshippo.com/transactions/?object_created_gte=2017-01-01T00:00:30&object_created_lt=2017-04-01T00:00:30`
GET /transactions - Read
Retrieve a shipping label
Returns an existing transaction using an object ID.
GET /transactions/{TransactionId} - Write
Create a shipping label
Creates a new transaction object and purchases the shipping label using a rate object that has previously been created. Alternatively, creates a new transaction object and purchases the shipping label instantly using shipment details, an existing carrier account, and an existing service level token.
POST /transactions
User Parcel Templates
- Read
List all user parcel templates
Returns a list all of all user parcel template objects.
GET /user-parcel-templates - Read
Retrieves a user parcel template
Returns the parcel template information for a specific user parcel template, identified by the object ID.
GET /user-parcel-templates/{UserParcelTemplateObjectId} - Write
Create a new user parcel template
Creates a new user parcel template. You can choose to create a parcel template using a preset carrier template as a starting point, or you can create an entirely custom one. To use a preset carrier template, pass in a unique template token from [this list](/shippoapi/public-api/parcel-templates) plus the weight fields (**weight** and **weight_unit**). Otherwise, omit the template field and pass the other fields, for the weight, length, height, and depth, as well as their units."
POST /user-parcel-templates - Write
Update an existing user parcel template
Updates an existing user parcel template.
PUT /user-parcel-templates/{UserParcelTemplateObjectId} - Destructive
Delete a user parcel template
Deletes a user parcel template using an object ID.
DELETE /user-parcel-templates/{UserParcelTemplateObjectId}
Shippo Accounts
- Read
List all Shippo Accounts
Returns a list of Shippo Managed Accounts objects.
GET /shippo-accounts - Read
Retrieve a Shippo Account
Returns a Shippo Managed Account using an object ID.
GET /shippo-accounts/{ShippoAccountId} - Write
Create a Shippo Account
Creates a new [Shippo Managed Account](https://docs.goshippo.com/docs/platformaccounts/platform_using_accounts/).
POST /shippo-accounts - Write
Update a Shippo Account
Updates a Shippo Managed Account using an object ID.
PUT /shippo-accounts/{ShippoAccountId}
Webhooks
- Read
List all webhooks
Returns a list of all webhooks you have created.
GET /webhooks - Read
Retrieve a specific webhook
Returns the details of a specific webhook using the webhook object ID.
GET /webhooks/{webhookId} - Write
Create a new webhook
Creates a new webhook to send notifications to a URL when a specific event occurs.
POST /webhooks - Destructive
Update an existing webhook
Updates an existing webhook using the webhook object ID.
PUT /webhooks/{webhookId} - Destructive
Delete a specific webhook
Deletes a specific webhook using the webhook object ID.
DELETE /webhooks/{webhookId}
No operations match.
See How connections work for access and permissions, or browse all integrations.
Reference date: October 29, 2026. Shippo API docs.